Package org.lwjgl.opengl

# Class ARBFramebufferObject

java.lang.Object
org.lwjgl.opengl.ARBFramebufferObject

public final class ARBFramebufferObject extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_COLOR_ATTACHMENT0`
Accepted by the <attachment> parameter of FramebufferTexture{1D|2D|3D}, FramebufferRenderbuffer, and GetFramebufferAttachmentParameteriv
`static final int`
`GL_COLOR_ATTACHMENT1`
Accepted by the <attachment> parameter of FramebufferTexture{1D|2D|3D}, FramebufferRenderbuffer, and GetFramebufferAttachmentParameteriv
`static final int`
`GL_COLOR_ATTACHMENT10`
Accepted by the <attachment> parameter of FramebufferTexture{1D|2D|3D}, FramebufferRenderbuffer, and GetFramebufferAttachmentParameteriv
`static final int`
`GL_COLOR_ATTACHMENT11`
Accepted by the <attachment> parameter of FramebufferTexture{1D|2D|3D}, FramebufferRenderbuffer, and GetFramebufferAttachmentParameteriv
`static final int`
`GL_COLOR_ATTACHMENT12`
Accepted by the <attachment> parameter of FramebufferTexture{1D|2D|3D}, FramebufferRenderbuffer, and GetFramebufferAttachmentParameteriv
`static final int`
`GL_COLOR_ATTACHMENT13`
Accepted by the <attachment> parameter of FramebufferTexture{1D|2D|3D}, FramebufferRenderbuffer, and GetFramebufferAttachmentParameteriv
`static final int`
`GL_COLOR_ATTACHMENT14`
Accepted by the <attachment> parameter of FramebufferTexture{1D|2D|3D}, FramebufferRenderbuffer, and GetFramebufferAttachmentParameteriv
`static final int`
`GL_COLOR_ATTACHMENT15`
Accepted by the <attachment> parameter of FramebufferTexture{1D|2D|3D}, FramebufferRenderbuffer, and GetFramebufferAttachmentParameteriv
`static final int`
`GL_COLOR_ATTACHMENT2`
Accepted by the <attachment> parameter of FramebufferTexture{1D|2D|3D}, FramebufferRenderbuffer, and GetFramebufferAttachmentParameteriv
`static final int`
`GL_COLOR_ATTACHMENT3`
Accepted by the <attachment> parameter of FramebufferTexture{1D|2D|3D}, FramebufferRenderbuffer, and GetFramebufferAttachmentParameteriv
`static final int`
`GL_COLOR_ATTACHMENT4`
Accepted by the <attachment> parameter of FramebufferTexture{1D|2D|3D}, FramebufferRenderbuffer, and GetFramebufferAttachmentParameteriv
`static final int`
`GL_COLOR_ATTACHMENT5`
Accepted by the <attachment> parameter of FramebufferTexture{1D|2D|3D}, FramebufferRenderbuffer, and GetFramebufferAttachmentParameteriv
`static final int`
`GL_COLOR_ATTACHMENT6`
Accepted by the <attachment> parameter of FramebufferTexture{1D|2D|3D}, FramebufferRenderbuffer, and GetFramebufferAttachmentParameteriv
`static final int`
`GL_COLOR_ATTACHMENT7`
Accepted by the <attachment> parameter of FramebufferTexture{1D|2D|3D}, FramebufferRenderbuffer, and GetFramebufferAttachmentParameteriv
`static final int`
`GL_COLOR_ATTACHMENT8`
Accepted by the <attachment> parameter of FramebufferTexture{1D|2D|3D}, FramebufferRenderbuffer, and GetFramebufferAttachmentParameteriv
`static final int`
`GL_COLOR_ATTACHMENT9`
Accepted by the <attachment> parameter of FramebufferTexture{1D|2D|3D}, FramebufferRenderbuffer, and GetFramebufferAttachmentParameteriv
`static final int`
`GL_DEPTH_ATTACHMENT`
Accepted by the <attachment> parameter of FramebufferTexture{1D|2D|3D}, FramebufferRenderbuffer, and GetFramebufferAttachmentParameteriv
`static final int`
`GL_DEPTH_STENCIL`
Accepted by the <format> parameter of DrawPixels, ReadPixels, TexImage1D, TexImage2D, TexImage3D, TexSubImage1D, TexSubImage2D, TexSubImage3D, and GetTexImage, by the <type> parameter of CopyPixels, by the <internalformat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, CopyTexImage2D, and RenderbufferStorage, and returned in the <data> parameter of GetTexLevelParameter and GetRenderbufferParameteriv:
`static final int`
`GL_DEPTH_STENCIL_ATTACHMENT`
Accepted by the <attachment> parameter of FramebufferTexture{1D|2D|3D}, FramebufferRenderbuffer, and GetFramebufferAttachmentParameteriv
`static final int`
`GL_DEPTH24_STENCIL8`
Accepted by the <internalformat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, CopyTexImage2D, and RenderbufferStorage, and returned in the <data> parameter of GetTexLevelParameter and GetRenderbufferParameteriv:
`static final int`
`GL_DRAW_FRAMEBUFFER`
Accepted by the <target> parameter of BindFramebuffer, CheckFramebufferStatus, FramebufferTexture{1D|2D|3D}, FramebufferRenderbuffer, and GetFramebufferAttachmentParameteriv:
`static final int`
`GL_DRAW_FRAMEBUFFER_BINDING`
Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_FRAMEBUFFER`
Accepted by the <target> parameter of BindFramebuffer, CheckFramebufferStatus, FramebufferTexture{1D|2D|3D}, FramebufferRenderbuffer, and GetFramebufferAttachmentParameteriv:
`static final int`
`GL_FRAMEBUFFER_ATTACHMENT_ALPHA_SIZE`
Accepted by the <pname> parameter of GetFramebufferAttachmentParameteriv:
`static final int`
`GL_FRAMEBUFFER_ATTACHMENT_BLUE_SIZE`
Accepted by the <pname> parameter of GetFramebufferAttachmentParameteriv:
`static final int`
`GL_FRAMEBUFFER_ATTACHMENT_COLOR_ENCODING`
Accepted by the <pname> parameter of GetFramebufferAttachmentParameteriv:
`static final int`
`GL_FRAMEBUFFER_ATTACHMENT_COMPONENT_TYPE`
Accepted by the <pname> parameter of GetFramebufferAttachmentParameteriv:
`static final int`
`GL_FRAMEBUFFER_ATTACHMENT_DEPTH_SIZE`
Accepted by the <pname> parameter of GetFramebufferAttachmentParameteriv:
`static final int`
`GL_FRAMEBUFFER_ATTACHMENT_GREEN_SIZE`
Accepted by the <pname> parameter of GetFramebufferAttachmentParameteriv:
`static final int`
`GL_FRAMEBUFFER_ATTACHMENT_OBJECT_NAME`
Accepted by the <pname> parameter of GetFramebufferAttachmentParameteriv:
`static final int`
`GL_FRAMEBUFFER_ATTACHMENT_OBJECT_TYPE`
Accepted by the <pname> parameter of GetFramebufferAttachmentParameteriv:
`static final int`
`GL_FRAMEBUFFER_ATTACHMENT_RED_SIZE`
Accepted by the <pname> parameter of GetFramebufferAttachmentParameteriv:
`static final int`
`GL_FRAMEBUFFER_ATTACHMENT_STENCIL_SIZE`
Accepted by the <pname> parameter of GetFramebufferAttachmentParameteriv:
`static final int`
`GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_CUBE_MAP_FACE`
Accepted by the <pname> parameter of GetFramebufferAttachmentParameteriv:
`static final int`
`GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LAYER`
Accepted by the <pname> parameter of GetFramebufferAttachmentParameteriv:
`static final int`
`GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LEVEL`
Accepted by the <pname> parameter of GetFramebufferAttachmentParameteriv:
`static final int`
`GL_FRAMEBUFFER_BINDING`
Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_FRAMEBUFFER_COMPLETE`
Returned by CheckFramebufferStatus():
`static final int`
`GL_FRAMEBUFFER_DEFAULT`
Returned in <params> by GetFramebufferAttachmentParameteriv:
`static final int`
`GL_FRAMEBUFFER_INCOMPLETE_ATTACHMENT`
Returned by CheckFramebufferStatus():
`static final int`
`GL_FRAMEBUFFER_INCOMPLETE_DRAW_BUFFER`
Returned by CheckFramebufferStatus():
`static final int`
`GL_FRAMEBUFFER_INCOMPLETE_MISSING_ATTACHMENT`
Returned by CheckFramebufferStatus():
`static final int`
`GL_FRAMEBUFFER_INCOMPLETE_MULTISAMPLE`
Returned by CheckFramebufferStatus():
`static final int`
`GL_FRAMEBUFFER_INCOMPLETE_READ_BUFFER`
Returned by CheckFramebufferStatus():
`static final int`
`GL_FRAMEBUFFER_UNDEFINED`
Returned by CheckFramebufferStatus():
`static final int`
`GL_FRAMEBUFFER_UNSUPPORTED`
Returned by CheckFramebufferStatus():
`static final int`
`GL_INDEX`
Returned in <params> by GetFramebufferAttachmentParameteriv:
`static final int`
`GL_INVALID_FRAMEBUFFER_OPERATION`
Returned by GetError():
`static final int`
`GL_MAX_COLOR_ATTACHMENTS`
Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_MAX_RENDERBUFFER_SIZE`
Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_MAX_SAMPLES`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_READ_FRAMEBUFFER`
Accepted by the <target> parameter of BindFramebuffer, CheckFramebufferStatus, FramebufferTexture{1D|2D|3D}, FramebufferRenderbuffer, and GetFramebufferAttachmentParameteriv:
`static final int`
`GL_READ_FRAMEBUFFER_BINDING`
Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_RENDERBUFFER`
Accepted by the <target> parameter of BindRenderbuffer, RenderbufferStorage, and GetRenderbufferParameteriv, and returned by GetFramebufferAttachmentParameteriv:
`static final int`
`GL_RENDERBUFFER_ALPHA_SIZE`
Accepted by the <pname> parameter of GetRenderbufferParameteriv:
`static final int`
`GL_RENDERBUFFER_BINDING`
Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_RENDERBUFFER_BLUE_SIZE`
Accepted by the <pname> parameter of GetRenderbufferParameteriv:
`static final int`
`GL_RENDERBUFFER_DEPTH_SIZE`
Accepted by the <pname> parameter of GetRenderbufferParameteriv:
`static final int`
`GL_RENDERBUFFER_GREEN_SIZE`
Accepted by the <pname> parameter of GetRenderbufferParameteriv:
`static final int`
`GL_RENDERBUFFER_HEIGHT`
Accepted by the <pname> parameter of GetRenderbufferParameteriv:
`static final int`
`GL_RENDERBUFFER_INTERNAL_FORMAT`
Accepted by the <pname> parameter of GetRenderbufferParameteriv:
`static final int`
`GL_RENDERBUFFER_RED_SIZE`
Accepted by the <pname> parameter of GetRenderbufferParameteriv:
`static final int`
`GL_RENDERBUFFER_SAMPLES`
Accepted by the <pname> parameter of GetRenderbufferParameteriv:
`static final int`
`GL_RENDERBUFFER_STENCIL_SIZE`
Accepted by the <pname> parameter of GetRenderbufferParameteriv:
`static final int`
`GL_RENDERBUFFER_WIDTH`
Accepted by the <pname> parameter of GetRenderbufferParameteriv:
`static final int`
`GL_SRGB`
Returned in <params> by GetFramebufferAttachmentParameteriv:
`static final int`
`GL_STENCIL_ATTACHMENT`
Accepted by the <attachment> parameter of FramebufferTexture{1D|2D|3D}, FramebufferRenderbuffer, and GetFramebufferAttachmentParameteriv
`static final int`
`GL_STENCIL_INDEX1`
Accepted by the <internalformat> parameter of RenderbufferStorage:
`static final int`
`GL_STENCIL_INDEX16`
Accepted by the <internalformat> parameter of RenderbufferStorage:
`static final int`
`GL_STENCIL_INDEX4`
Accepted by the <internalformat> parameter of RenderbufferStorage:
`static final int`
`GL_STENCIL_INDEX8`
Accepted by the <internalformat> parameter of RenderbufferStorage:
`static final int`
`GL_TEXTURE_STENCIL_SIZE`
Accepted by the <value> parameter of GetTexLevelParameter:
`static final int`
`GL_UNSIGNED_INT_24_8`
Accepted by the <type> parameter of DrawPixels, ReadPixels, TexImage1D, TexImage2D, TexImage3D, TexSubImage1D, TexSubImage2D, TexSubImage3D, and GetTexImage:
`static final int`
`GL_UNSIGNED_NORMALIZED`
Returned in <params> by GetFramebufferAttachmentParameteriv:

## Method Summary

Modifier and Type
Method
Description
`static void`
`glBindFramebuffer(int target, int framebuffer)`
`static void`
`glBindRenderbuffer(int target, int renderbuffer)`
`static void`
`glBlitFramebuffer(int srcX0, int srcY0, int srcX1, int srcY1, int dstX0, int dstY0, int dstX1, int dstY1, int mask, int filter)`
`static int`
`glCheckFramebufferStatus(int target)`
`static void`
`glDeleteFramebuffers(int framebuffer)`
Overloads glDeleteFramebuffers.
`static void`
`glDeleteFramebuffers(IntBuffer framebuffers)`
`static void`
`glDeleteRenderbuffers(int renderbuffer)`
Overloads glDeleteRenderbuffers.
`static void`
`glDeleteRenderbuffers(IntBuffer renderbuffers)`
`static void`
`glFramebufferRenderbuffer(int target, int attachment, int renderbuffertarget, int renderbuffer)`
`static void`
`glFramebufferTexture1D(int target, int attachment, int textarget, int texture, int level)`
`static void`
`glFramebufferTexture2D(int target, int attachment, int textarget, int texture, int level)`
`static void`
`glFramebufferTexture3D(int target, int attachment, int textarget, int texture, int level, int layer)`
`static void`
`glFramebufferTextureLayer(int target, int attachment, int texture, int level, int layer)`
`static void`
`glGenerateMipmap(int target)`
`static int`
`glGenFramebuffers()`
Overloads glGenFramebuffers.
`static void`
`glGenFramebuffers(IntBuffer framebuffers)`
`static int`
`glGenRenderbuffers()`
Overloads glGenRenderbuffers.
`static void`
`glGenRenderbuffers(IntBuffer renderbuffers)`
`static int`
`glGetFramebufferAttachmentParameter(int target, int attachment, int pname)`
Deprecated.
Will be removed in 3.0.
`static void`
`glGetFramebufferAttachmentParameter(int target, int attachment, int pname, IntBuffer params)`
`static int`
`glGetFramebufferAttachmentParameteri(int target, int attachment, int pname)`
Overloads glGetFramebufferAttachmentParameteriv.
`static int`
`glGetRenderbufferParameter(int target, int pname)`
Deprecated.
Will be removed in 3.0.
`static void`
`glGetRenderbufferParameter(int target, int pname, IntBuffer params)`
`static int`
`glGetRenderbufferParameteri(int target, int pname)`
Overloads glGetRenderbufferParameteriv.
`static boolean`
`glIsFramebuffer(int framebuffer)`
`static boolean`
`glIsRenderbuffer(int renderbuffer)`
`static void`
`glRenderbufferStorage(int target, int internalformat, int width, int height)`
`static void`
`glRenderbufferStorageMultisample(int target, int samples, int internalformat, int width, int height)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_FRAMEBUFFER

public static final int GL_FRAMEBUFFER
Accepted by the <target> parameter of BindFramebuffer, CheckFramebufferStatus, FramebufferTexture{1D|2D|3D}, FramebufferRenderbuffer, and GetFramebufferAttachmentParameteriv:

See Also:
  - Constant Field Values

### GL_READ_FRAMEBUFFER

public static final int GL_READ_FRAMEBUFFER
Accepted by the <target> parameter of BindFramebuffer, CheckFramebufferStatus, FramebufferTexture{1D|2D|3D}, FramebufferRenderbuffer, and GetFramebufferAttachmentParameteriv:

See Also:
  - Constant Field Values

### GL_DRAW_FRAMEBUFFER

public static final int GL_DRAW_FRAMEBUFFER
Accepted by the <target> parameter of BindFramebuffer, CheckFramebufferStatus, FramebufferTexture{1D|2D|3D}, FramebufferRenderbuffer, and GetFramebufferAttachmentParameteriv:

See Also:
  - Constant Field Values

### GL_RENDERBUFFER

public static final int GL_RENDERBUFFER
Accepted by the <target> parameter of BindRenderbuffer, RenderbufferStorage, and GetRenderbufferParameteriv, and returned by GetFramebufferAttachmentParameteriv:

See Also:
  - Constant Field Values

### GL_STENCIL_INDEX1

public static final int GL_STENCIL_INDEX1
Accepted by the <internalformat> parameter of RenderbufferStorage:

See Also:
  - Constant Field Values

### GL_STENCIL_INDEX4

public static final int GL_STENCIL_INDEX4
Accepted by the <internalformat> parameter of RenderbufferStorage:

See Also:
  - Constant Field Values

### GL_STENCIL_INDEX8

public static final int GL_STENCIL_INDEX8
Accepted by the <internalformat> parameter of RenderbufferStorage:

See Also:
  - Constant Field Values

### GL_STENCIL_INDEX16

public static final int GL_STENCIL_INDEX16
Accepted by the <internalformat> parameter of RenderbufferStorage:

See Also:
  - Constant Field Values

### GL_RENDERBUFFER_WIDTH

public static final int GL_RENDERBUFFER_WIDTH
Accepted by the <pname> parameter of GetRenderbufferParameteriv:

See Also:
  - Constant Field Values

### GL_RENDERBUFFER_HEIGHT

public static final int GL_RENDERBUFFER_HEIGHT
Accepted by the <pname> parameter of GetRenderbufferParameteriv:

See Also:
  - Constant Field Values

### GL_RENDERBUFFER_INTERNAL_FORMAT

public static final int GL_RENDERBUFFER_INTERNAL_FORMAT
Accepted by the <pname> parameter of GetRenderbufferParameteriv:

See Also:
  - Constant Field Values

### GL_RENDERBUFFER_RED_SIZE

public static final int GL_RENDERBUFFER_RED_SIZE
Accepted by the <pname> parameter of GetRenderbufferParameteriv:

See Also:
  - Constant Field Values

### GL_RENDERBUFFER_GREEN_SIZE

public static final int GL_RENDERBUFFER_GREEN_SIZE
Accepted by the <pname> parameter of GetRenderbufferParameteriv:

See Also:
  - Constant Field Values

### GL_RENDERBUFFER_BLUE_SIZE

public static final int GL_RENDERBUFFER_BLUE_SIZE
Accepted by the <pname> parameter of GetRenderbufferParameteriv:

See Also:
  - Constant Field Values

### GL_RENDERBUFFER_ALPHA_SIZE

public static final int GL_RENDERBUFFER_ALPHA_SIZE
Accepted by the <pname> parameter of GetRenderbufferParameteriv:

See Also:
  - Constant Field Values

### GL_RENDERBUFFER_DEPTH_SIZE

public static final int GL_RENDERBUFFER_DEPTH_SIZE
Accepted by the <pname> parameter of GetRenderbufferParameteriv:

See Also:
  - Constant Field Values

### GL_RENDERBUFFER_STENCIL_SIZE

public static final int GL_RENDERBUFFER_STENCIL_SIZE
Accepted by the <pname> parameter of GetRenderbufferParameteriv:

See Also:
  - Constant Field Values

### GL_RENDERBUFFER_SAMPLES

public static final int GL_RENDERBUFFER_SAMPLES
Accepted by the <pname> parameter of GetRenderbufferParameteriv:

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_ATTACHMENT_OBJECT_TYPE

public static final int GL_FRAMEBUFFER_ATTACHMENT_OBJECT_TYPE
Accepted by the <pname> parameter of GetFramebufferAttachmentParameteriv:

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_ATTACHMENT_OBJECT_NAME

public static final int GL_FRAMEBUFFER_ATTACHMENT_OBJECT_NAME
Accepted by the <pname> parameter of GetFramebufferAttachmentParameteriv:

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LEVEL

public static final int GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LEVEL
Accepted by the <pname> parameter of GetFramebufferAttachmentParameteriv:

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_CUBE_MAP_FACE

public static final int GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_CUBE_MAP_FACE
Accepted by the <pname> parameter of GetFramebufferAttachmentParameteriv:

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LAYER

public static final int GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LAYER
Accepted by the <pname> parameter of GetFramebufferAttachmentParameteriv:

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_ATTACHMENT_COLOR_ENCODING

public static final int GL_FRAMEBUFFER_ATTACHMENT_COLOR_ENCODING
Accepted by the <pname> parameter of GetFramebufferAttachmentParameteriv:

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_ATTACHMENT_COMPONENT_TYPE

public static final int GL_FRAMEBUFFER_ATTACHMENT_COMPONENT_TYPE
Accepted by the <pname> parameter of GetFramebufferAttachmentParameteriv:

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_ATTACHMENT_RED_SIZE

public static final int GL_FRAMEBUFFER_ATTACHMENT_RED_SIZE
Accepted by the <pname> parameter of GetFramebufferAttachmentParameteriv:

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_ATTACHMENT_GREEN_SIZE

public static final int GL_FRAMEBUFFER_ATTACHMENT_GREEN_SIZE
Accepted by the <pname> parameter of GetFramebufferAttachmentParameteriv:

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_ATTACHMENT_BLUE_SIZE

public static final int GL_FRAMEBUFFER_ATTACHMENT_BLUE_SIZE
Accepted by the <pname> parameter of GetFramebufferAttachmentParameteriv:

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_ATTACHMENT_ALPHA_SIZE

public static final int GL_FRAMEBUFFER_ATTACHMENT_ALPHA_SIZE
Accepted by the <pname> parameter of GetFramebufferAttachmentParameteriv:

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_ATTACHMENT_DEPTH_SIZE

public static final int GL_FRAMEBUFFER_ATTACHMENT_DEPTH_SIZE
Accepted by the <pname> parameter of GetFramebufferAttachmentParameteriv:

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_ATTACHMENT_STENCIL_SIZE

public static final int GL_FRAMEBUFFER_ATTACHMENT_STENCIL_SIZE
Accepted by the <pname> parameter of GetFramebufferAttachmentParameteriv:

See Also:
  - Constant Field Values

### GL_SRGB

public static final int GL_SRGB
Returned in <params> by GetFramebufferAttachmentParameteriv:

See Also:
  - Constant Field Values

### GL_UNSIGNED_NORMALIZED

public static final int GL_UNSIGNED_NORMALIZED
Returned in <params> by GetFramebufferAttachmentParameteriv:

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_DEFAULT

public static final int GL_FRAMEBUFFER_DEFAULT
Returned in <params> by GetFramebufferAttachmentParameteriv:

See Also:
  - Constant Field Values

### GL_INDEX

public static final int GL_INDEX
Returned in <params> by GetFramebufferAttachmentParameteriv:

See Also:
  - Constant Field Values

### GL_COLOR_ATTACHMENT0

public static final int GL_COLOR_ATTACHMENT0
Accepted by the <attachment> parameter of FramebufferTexture{1D|2D|3D}, FramebufferRenderbuffer, and GetFramebufferAttachmentParameteriv

See Also:
  - Constant Field Values

### GL_COLOR_ATTACHMENT1

public static final int GL_COLOR_ATTACHMENT1
Accepted by the <attachment> parameter of FramebufferTexture{1D|2D|3D}, FramebufferRenderbuffer, and GetFramebufferAttachmentParameteriv

See Also:
  - Constant Field Values

### GL_COLOR_ATTACHMENT2

public static final int GL_COLOR_ATTACHMENT2
Accepted by the <attachment> parameter of FramebufferTexture{1D|2D|3D}, FramebufferRenderbuffer, and GetFramebufferAttachmentParameteriv

See Also:
  - Constant Field Values

### GL_COLOR_ATTACHMENT3

public static final int GL_COLOR_ATTACHMENT3
Accepted by the <attachment> parameter of FramebufferTexture{1D|2D|3D}, FramebufferRenderbuffer, and GetFramebufferAttachmentParameteriv

See Also:
  - Constant Field Values

### GL_COLOR_ATTACHMENT4

public static final int GL_COLOR_ATTACHMENT4
Accepted by the <attachment> parameter of FramebufferTexture{1D|2D|3D}, FramebufferRenderbuffer, and GetFramebufferAttachmentParameteriv

See Also:
  - Constant Field Values

### GL_COLOR_ATTACHMENT5

public static final int GL_COLOR_ATTACHMENT5
Accepted by the <attachment> parameter of FramebufferTexture{1D|2D|3D}, FramebufferRenderbuffer, and GetFramebufferAttachmentParameteriv

See Also:
  - Constant Field Values

### GL_COLOR_ATTACHMENT6

public static final int GL_COLOR_ATTACHMENT6
Accepted by the <attachment> parameter of FramebufferTexture{1D|2D|3D}, FramebufferRenderbuffer, and GetFramebufferAttachmentParameteriv

See Also:
  - Constant Field Values

### GL_COLOR_ATTACHMENT7

public static final int GL_COLOR_ATTACHMENT7
Accepted by the <attachment> parameter of FramebufferTexture{1D|2D|3D}, FramebufferRenderbuffer, and GetFramebufferAttachmentParameteriv

See Also:
  - Constant Field Values

### GL_COLOR_ATTACHMENT8

public static final int GL_COLOR_ATTACHMENT8
Accepted by the <attachment> parameter of FramebufferTexture{1D|2D|3D}, FramebufferRenderbuffer, and GetFramebufferAttachmentParameteriv

See Also:
  - Constant Field Values

### GL_COLOR_ATTACHMENT9

public static final int GL_COLOR_ATTACHMENT9
Accepted by the <attachment> parameter of FramebufferTexture{1D|2D|3D}, FramebufferRenderbuffer, and GetFramebufferAttachmentParameteriv

See Also:
  - Constant Field Values

### GL_COLOR_ATTACHMENT10

public static final int GL_COLOR_ATTACHMENT10
Accepted by the <attachment> parameter of FramebufferTexture{1D|2D|3D}, FramebufferRenderbuffer, and GetFramebufferAttachmentParameteriv

See Also:
  - Constant Field Values

### GL_COLOR_ATTACHMENT11

public static final int GL_COLOR_ATTACHMENT11
Accepted by the <attachment> parameter of FramebufferTexture{1D|2D|3D}, FramebufferRenderbuffer, and GetFramebufferAttachmentParameteriv

See Also:
  - Constant Field Values

### GL_COLOR_ATTACHMENT12

public static final int GL_COLOR_ATTACHMENT12
Accepted by the <attachment> parameter of FramebufferTexture{1D|2D|3D}, FramebufferRenderbuffer, and GetFramebufferAttachmentParameteriv

See Also:
  - Constant Field Values

### GL_COLOR_ATTACHMENT13

public static final int GL_COLOR_ATTACHMENT13
Accepted by the <attachment> parameter of FramebufferTexture{1D|2D|3D}, FramebufferRenderbuffer, and GetFramebufferAttachmentParameteriv

See Also:
  - Constant Field Values

### GL_COLOR_ATTACHMENT14

public static final int GL_COLOR_ATTACHMENT14
Accepted by the <attachment> parameter of FramebufferTexture{1D|2D|3D}, FramebufferRenderbuffer, and GetFramebufferAttachmentParameteriv

See Also:
  - Constant Field Values

### GL_COLOR_ATTACHMENT15

public static final int GL_COLOR_ATTACHMENT15
Accepted by the <attachment> parameter of FramebufferTexture{1D|2D|3D}, FramebufferRenderbuffer, and GetFramebufferAttachmentParameteriv

See Also:
  - Constant Field Values

### GL_DEPTH_ATTACHMENT

public static final int GL_DEPTH_ATTACHMENT
Accepted by the <attachment> parameter of FramebufferTexture{1D|2D|3D}, FramebufferRenderbuffer, and GetFramebufferAttachmentParameteriv

See Also:
  - Constant Field Values

### GL_STENCIL_ATTACHMENT

public static final int GL_STENCIL_ATTACHMENT
Accepted by the <attachment> parameter of FramebufferTexture{1D|2D|3D}, FramebufferRenderbuffer, and GetFramebufferAttachmentParameteriv

See Also:
  - Constant Field Values

### GL_DEPTH_STENCIL_ATTACHMENT

public static final int GL_DEPTH_STENCIL_ATTACHMENT
Accepted by the <attachment> parameter of FramebufferTexture{1D|2D|3D}, FramebufferRenderbuffer, and GetFramebufferAttachmentParameteriv

See Also:
  - Constant Field Values

### GL_MAX_SAMPLES

public static final int GL_MAX_SAMPLES
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_COMPLETE

public static final int GL_FRAMEBUFFER_COMPLETE
Returned by CheckFramebufferStatus():

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_INCOMPLETE_ATTACHMENT

public static final int GL_FRAMEBUFFER_INCOMPLETE_ATTACHMENT
Returned by CheckFramebufferStatus():

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_INCOMPLETE_MISSING_ATTACHMENT

public static final int GL_FRAMEBUFFER_INCOMPLETE_MISSING_ATTACHMENT
Returned by CheckFramebufferStatus():

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_INCOMPLETE_DRAW_BUFFER

public static final int GL_FRAMEBUFFER_INCOMPLETE_DRAW_BUFFER
Returned by CheckFramebufferStatus():

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_INCOMPLETE_READ_BUFFER

public static final int GL_FRAMEBUFFER_INCOMPLETE_READ_BUFFER
Returned by CheckFramebufferStatus():

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_UNSUPPORTED

public static final int GL_FRAMEBUFFER_UNSUPPORTED
Returned by CheckFramebufferStatus():

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_INCOMPLETE_MULTISAMPLE

public static final int GL_FRAMEBUFFER_INCOMPLETE_MULTISAMPLE
Returned by CheckFramebufferStatus():

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_UNDEFINED

public static final int GL_FRAMEBUFFER_UNDEFINED
Returned by CheckFramebufferStatus():

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_BINDING

public static final int GL_FRAMEBUFFER_BINDING
Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_DRAW_FRAMEBUFFER_BINDING

public static final int GL_DRAW_FRAMEBUFFER_BINDING
Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_READ_FRAMEBUFFER_BINDING

public static final int GL_READ_FRAMEBUFFER_BINDING
Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_RENDERBUFFER_BINDING

public static final int GL_RENDERBUFFER_BINDING
Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAX_COLOR_ATTACHMENTS

public static final int GL_MAX_COLOR_ATTACHMENTS
Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAX_RENDERBUFFER_SIZE

public static final int GL_MAX_RENDERBUFFER_SIZE
Accepted by the <pname> parameters of GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_INVALID_FRAMEBUFFER_OPERATION

public static final int GL_INVALID_FRAMEBUFFER_OPERATION
Returned by GetError():

See Also:
  - Constant Field Values

### GL_DEPTH_STENCIL

public static final int GL_DEPTH_STENCIL
Accepted by the <format> parameter of DrawPixels, ReadPixels, TexImage1D, TexImage2D, TexImage3D, TexSubImage1D, TexSubImage2D, TexSubImage3D, and GetTexImage, by the <type> parameter of CopyPixels, by the <internalformat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, CopyTexImage2D, and RenderbufferStorage, and returned in the <data> parameter of GetTexLevelParameter and GetRenderbufferParameteriv:

See Also:
  - Constant Field Values

### GL_UNSIGNED_INT_24_8

public static final int GL_UNSIGNED_INT_24_8
Accepted by the <type> parameter of DrawPixels, ReadPixels, TexImage1D, TexImage2D, TexImage3D, TexSubImage1D, TexSubImage2D, TexSubImage3D, and GetTexImage:

See Also:
  - Constant Field Values

### GL_DEPTH24_STENCIL8

public static final int GL_DEPTH24_STENCIL8
Accepted by the <internalformat> parameter of TexImage1D, TexImage2D, TexImage3D, CopyTexImage1D, CopyTexImage2D, and RenderbufferStorage, and returned in the <data> parameter of GetTexLevelParameter and GetRenderbufferParameteriv:

See Also:
  - Constant Field Values

### GL_TEXTURE_STENCIL_SIZE

public static final int GL_TEXTURE_STENCIL_SIZE
Accepted by the <value> parameter of GetTexLevelParameter:

See Also:
  - Constant Field Values

## Method Details

### glIsRenderbuffer

public static boolean glIsRenderbuffer(int renderbuffer)

### glBindRenderbuffer

public static void glBindRenderbuffer(int target, int renderbuffer)

### glDeleteRenderbuffers

public static void glDeleteRenderbuffers(IntBuffer renderbuffers)

### glDeleteRenderbuffers

public static void glDeleteRenderbuffers(int renderbuffer)
Overloads glDeleteRenderbuffers.

### glGenRenderbuffers

public static void glGenRenderbuffers(IntBuffer renderbuffers)

### glGenRenderbuffers

public static int glGenRenderbuffers()
Overloads glGenRenderbuffers.

### glRenderbufferStorage

public static void glRenderbufferStorage(int target, int internalformat, int width, int height)

### glRenderbufferStorageMultisample

public static void glRenderbufferStorageMultisample(int target, int samples, int internalformat, int width, int height)

### glGetRenderbufferParameter

public static void glGetRenderbufferParameter(int target, int pname, IntBuffer params)

### glGetRenderbufferParameter

@Deprecated public static int glGetRenderbufferParameter(int target, int pname)
Deprecated.
Will be removed in 3.0. Use `glGetRenderbufferParameteri(int, int)` instead.
Overloads glGetRenderbufferParameteriv.

### glGetRenderbufferParameteri

public static int glGetRenderbufferParameteri(int target, int pname)
Overloads glGetRenderbufferParameteriv.

### glIsFramebuffer

public static boolean glIsFramebuffer(int framebuffer)

### glBindFramebuffer

public static void glBindFramebuffer(int target, int framebuffer)

### glDeleteFramebuffers

public static void glDeleteFramebuffers(IntBuffer framebuffers)

### glDeleteFramebuffers

public static void glDeleteFramebuffers(int framebuffer)
Overloads glDeleteFramebuffers.

### glGenFramebuffers

public static void glGenFramebuffers(IntBuffer framebuffers)

### glGenFramebuffers

public static int glGenFramebuffers()
Overloads glGenFramebuffers.

### glCheckFramebufferStatus

public static int glCheckFramebufferStatus(int target)

### glFramebufferTexture1D

public static void glFramebufferTexture1D(int target, int attachment, int textarget, int texture, int level)

### glFramebufferTexture2D

public static void glFramebufferTexture2D(int target, int attachment, int textarget, int texture, int level)

### glFramebufferTexture3D

public static void glFramebufferTexture3D(int target, int attachment, int textarget, int texture, int level, int layer)

### glFramebufferTextureLayer

public static void glFramebufferTextureLayer(int target, int attachment, int texture, int level, int layer)

### glFramebufferRenderbuffer

public static void glFramebufferRenderbuffer(int target, int attachment, int renderbuffertarget, int renderbuffer)

### glGetFramebufferAttachmentParameter

public static void glGetFramebufferAttachmentParameter(int target, int attachment, int pname, IntBuffer params)

### glGetFramebufferAttachmentParameter

@Deprecated public static int glGetFramebufferAttachmentParameter(int target, int attachment, int pname)
Deprecated.
Will be removed in 3.0. Use `glGetFramebufferAttachmentParameteri(int, int, int)` instead.
Overloads glGetFramebufferAttachmentParameteriv.

### glGetFramebufferAttachmentParameteri

public static int glGetFramebufferAttachmentParameteri(int target, int attachment, int pname)
Overloads glGetFramebufferAttachmentParameteriv.

### glBlitFramebuffer

public static void glBlitFramebuffer(int srcX0, int srcY0, int srcX1, int srcY1, int dstX0, int dstY0, int dstX1, int dstY1, int mask, int filter)

### glGenerateMipmap

public static void glGenerateMipmap(int target)